# Interface TileInfoJson

Tile information, returned from the WMTS OGC Web Service. The tileInfo will contain the spatial reference of the layer. TileInfo is the same json representation as the ArcGIS Map/Image service tileInfo except that it may contain a levelValue on the lod objects that should be used instead of the level in the templateUrl.

See https://developers.arcgis.com/web-map-specification/objects/tileInfo/ https://developers.arcgis.com/web-scene-specification/objects/tileInfo/.

interface TileInfoJson {
cols?: number;
compressionQuality?: number;
dpi?: number;
format?: string;
lods?: {
level?: number;
levelValue?: string;
resolution?: number;
scale?: number;
}[];
origin?: PointJson;
rows?: number;
spatialReference?: SpatialReferenceJson;
}

#####
Index

### Properties

cols?
compressionQuality?
dpi?
format?
lods?
origin?
rows?
spatialReference?

##
Properties

### `Optional` cols

cols?: number

Requested tile's column.

### `Optional` compressionQuality

compressionQuality?: number

Compression quality of the tile.

### `Optional` dpi

dpi?: number

The dpi of the tiling scheme.

### `Optional` format

format?: string

Image format of the cached tiles.

### `Optional` lods

lods?: {
level?: number;
levelValue?: string;
resolution?: number;
scale?: number;
}[]

An array of levels of detail that define the tiling scheme. See https://developers.arcgis.com/web-map-specification/objects/lod/ https://developers.arcgis.com/web-scene-specification/objects/lod/.

#### Type declaration

- ##### `Optional` level?: number

  ID for each level.

- ##### `Optional` levelValue?: string

  String to be used when constructing URL to access a tile from this LOD.

- ##### `Optional` resolution?: number

  Resolution in map units of each pixel in a tile for each level.

- ##### `Optional` scale?: number

  Scale for each level.

### `Optional` origin

origin?: PointJson

The tiling scheme origin.

### `Optional` rows

rows?: number

Requested tile's row.

### `Optional` spatialReference

spatialReference?: SpatialReferenceJson

The spatial reference of the tiling schema.